Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.Common.DownloadStatus Class Reference

| Bio Radio SDK - Xamarin Android

Properties | List of all members
GLNeuroTech.Devices.Common.DownloadStatus Class Reference

A class that describes the current status of an active download. More...

## Properties

int | BytesReceived`[get, set]`
| The number of bytes received so far during the download process. More...
string | CurrentFileName`[get, set]`
| The name of the file currently being downloaded. More...
int | CurrentFileSize`[get, set]`
| The size of the file currently being downloaded. More...
int | FileCompletionPercent`[get]`
| The completion percent, from 0 to 100, of the currently downloading file. More...
int | FileBytesReceived`[get, set]`
| The number of bytes received of the currently downloading file. More...
uint | TotalFileBytes`[get, set]`
| The total number of bytes that are to be transmitted across all files. More...
int | TotalCompletionPercent`[get]`
| The completion percentage of the total download. More...
bool | Finished`[get, set]`
| Indicates whether the current download has completed. More...
bool | Aborted`[get, set]`
| Indicates whether the download was aborted. More...

## Detailed Description

A class that describes the current status of an active download.

This is a read-only class that can be used to keep track of a download from a Great Lakes NeuroTechnologies device. It contains accessors for the amount of data that has been retrieved, completion percentage, and file names.

## Property Documentation

## ◆ Aborted

bool GLNeuroTech.Devices.Common.DownloadStatus.Aborted

getset

Indicates whether the download was aborted.

## ◆ BytesReceived

int GLNeuroTech.Devices.Common.DownloadStatus.BytesReceived

getset

The number of bytes received so far during the download process.

## ◆ CurrentFileName

string GLNeuroTech.Devices.Common.DownloadStatus.CurrentFileName

getset

The name of the file currently being downloaded.

## ◆ CurrentFileSize

int GLNeuroTech.Devices.Common.DownloadStatus.CurrentFileSize

getset

The size of the file currently being downloaded.

## ◆ FileBytesReceived

int GLNeuroTech.Devices.Common.DownloadStatus.FileBytesReceived

getset

The number of bytes received of the currently downloading file.

For multiple file downloads, this number resets with each new file that is received.

## ◆ FileCompletionPercent

int GLNeuroTech.Devices.Common.DownloadStatus.FileCompletionPercent

get

The completion percent, from 0 to 100, of the currently downloading file.

## ◆ Finished

bool GLNeuroTech.Devices.Common.DownloadStatus.Finished

getset

Indicates whether the current download has completed.

## ◆ TotalCompletionPercent

int GLNeuroTech.Devices.Common.DownloadStatus.TotalCompletionPercent

get

The completion percentage of the total download.

## ◆ TotalFileBytes

uint GLNeuroTech.Devices.Common.DownloadStatus.TotalFileBytes

getset

The total number of bytes that are to be transmitted across all files.